# 阅读实验源代码
**main.c文件**   
在main函数中首先初始化了一个已经排序的线性表（注意，没有使用单元0），然后调用了两次折半查找函数BinarySearch查找指定的关键字，第一次查找关键字成功，第二次查找关键字失败，最后销毁了线性表。  
在main函数的后面，分别定义了折半查找函数BinarySearch，以及线性表的初始化函数和销毁函数。其中，折半查找函数BinarySearch的函数体还不完整，留给读者完成。   
**SeqTable.h文件**   
定义了与线性表相关的数据结构并声明了相关的操作函数。   
# 在演示模式下调试项目
**按照下面的步骤调试项目：**
1.	按F7生成项目。
2.	在演示模式下，按F5启动调试项目。程序会在观察点函数的开始位置中断。
3.	重复按F5，直到调试过程结束。

在调试的过程中，每执行“演示流程”窗口中的一行后，仔细观察“可视化数据”窗口内容所发生的变化，理解折半查找的执行过程。“可视化数据”窗口显示的数据信息（如下图所示），包括：
-	已经排序的线性表。
a)	序号从1开始计数，要查找的关键字用蓝色的字体显示。
b)	在调试过程中，可以看到 low、mid和high三个游标的移动。
c)	在查找的过程中，被命中的关键字所在的行的填充色为绿色。
-	根据线性表生成的判定树。
a)	每个节点包括了元素的序号和关键字，并用蓝色的字体显示出要查找的关键字。
b)	在查找的过程中，被命中的关键字所在的结点的填充色为绿色。

![折半查找1](./img/21_1.png)
![折半查找2](./img/21_2.png)

# 编写源代码并通过验证
**按照下面的步骤继续实验：**   
1.	为BinarySearch函数编写源代码。注意，尽量使用已定义的局部变量。  
2.	按F7生成项目。如果生成失败，根据“输出”窗口中的提示信息修改源代码中的语法错误。  
3.	按Alt+F5启动验证。如果验证失败，可以使用“输出”窗口中的“比较”功能，或者在“非演示模式”下按F5启动调试后重复按F10单步调试读者编写的源代码，从而定位错误的位置，然后回到步骤1。  

>
**`提示：`**在验证过程中，主要是检测BinarySearch函数的返回值是否正确，所以，为了顺利通过验证，请读者一定要注意让BinarySearch函数返回正确的值。
>

# 教师参考答案
访问教师参考答案[domain relative url](engintime/ds-lab/teachers-packet/Lab021.git)
